--[[
	Project....: BGRep
	File.......: BGRepMiniMap.lua
	Description: Mini-map button for BGRep
	Version....: 1.1
	Created....: December 26th 2015 (Azhtyhx)
	Updated....: December 26th 2015 (Azhtyhx)
]]

BGRep = LibStub("AceAddon-3.0"):GetAddon("BGRep")

local BGRepMMButton = LibStub:GetLibrary("LibDataBroker-1.1"):NewDataObject("BGRep", {
	type = "launcher",
	icon = "Interface\\AddOns\\BGRep\\Media\\swords",
	tocname = "BGRep",
})
LibStub("LibDBIcon-1.0"):Register("BGRepMMButton", BGRepMMButton, icon)

function BGRepMMButton:OnEnter()
	GameTooltip:SetOwner(self, "ANCHOR_NONE ", 0, -40)
	GameTooltip:SetText("BGRep")
	GameTooltip:AddLine("Left-Click: Toggle BGRep", 1, 1, 1)
	GameTooltip:AddLine("Right-Click: Open BGRep Options", 1, 1, 1)
	GameTooltip:Show()
end

function BGRepMMButton:OnClick(button,down)
	BGRep:Toggle(button, down)
end